%gets the row and col of a pixel, and a region, and says if it's in the
%region

function [inRegion] = isPixelInRegion(row,col,region) 
    bboxCol = ceil(region.BoundingBox(1));
    bboxRow = ceil(region.BoundingBox(2));
    bboxSizeCol = floor(region.BoundingBox(3));
    bboxSizeRow = floor(region.BoundingBox(4));
    
    if row<bboxRow || col<bboxCol || row>=(bboxRow+bboxSizeRow) || col>=(bboxCol+bboxSizeCol)
        inRegion=false;
        return
    end
    if region.ConvexImage(row-bboxRow+1,col-bboxCol+1)==1
        inRegion=true;
    else
        inRegion=false;
    end
end
