% Global Defenitions
%%%%%%%%%%%%%%%%%%%%%%%%
global BTFrames;
global Camera_AdaptorName;
global Camera_DeviceID;
global Camera_Format;
global Camera_Exposure;
global Camera_ExposureLevel;
global isBackgroundModel;
global frameCount;
global BackgroundFramesSequence;
global E;
global S;
global A;
global B;
global constOnes;
global TCD;
global TALO;
global TA1;
global TA2;
global K;
global angle;
global joystickRegions;
global initJoystickRegions;
global buttons;
global ellipses;
global higherHysteresisThreshold;
global lowerHysteresisThreshold;
% Consts
%%%%%%%%%%%%%%%%%%%%%%%%
BTFrames = 30;                      % Background training frame count
width = 320;                        % Width of the image
height = 240;                       % Height of the image
colorScheme = 3;                    % !!!!!!!!!MAC DEFENITIONS!!!!!!!!!!
Camera_AdaptorName = 'winvideo';    %'macvideo';
Camera_DeviceID = 1;
Camera_Format = 'YUY2_320x240';     %'YCbCr422_640x480';
Camera_Exposure = true;             %false;
Camera_ExposureLevel = -6;

% tau CD
TCD = 999999999999;
% tau alpha low
TALO = -200000000000;
TA1 = 100;
TA2 = -100;
K = 50;
angle = 40;
higherHysteresisThreshold=0.15;
lowerHysteresisThreshold=0.1;
% Globals
%%%%%%%%%%%%%%%%%%%%%%%%
isBackgroundModel = false;
frameCount = 0;
%a buffer to hold the valueOf(BTFrames) first frames                                
BackgroundFramesSequence = zeros(height,width,colorScheme);
constOnes = ones(height,width);
E = 0;% E is the expected color value
S = 0;% S is the standard deviation of color value
A = 0;% A is the variation of the brightness distortion
B = 0;% B is the variation of the chromaticity distortion
JoystickRegions=[];
initJoystickRegions=false;
buttons=[];
ellipses =[];
% UI
%%%%%%%%%%%%%%%%%%%%%%%
clc
MainUI

